var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
// ============================================================================
// Chatbot Layout - Chat - Welcome
// ============================================================================
import React from 'react';
import { Content, ContentVariants, Card, CardHeader, CardTitle, CardBody } from '@patternfly/react-core';
export const ChatbotWelcomePrompt = (_a) => {
    var { title, description, prompts, className, testId } = _a, props = __rest(_a, ["title", "description", "prompts", "className", "testId"]);
    return (React.createElement("div", Object.assign({ "data-testid": testId, className: `pf-chatbot--layout--welcome ${className !== null && className !== void 0 ? className : ''}` }, props),
        React.createElement(Content, { component: ContentVariants.h1 },
            React.createElement("span", { className: "pf-chatbot__hello" }, title),
            React.createElement("br", null),
            React.createElement("span", { className: "pf-chatbot__question" }, description)),
        prompts && (React.createElement("div", { className: "pf-chatbot__prompt-suggestions" }, prompts === null || prompts === void 0 ? void 0 : prompts.map((prompt, index) => (React.createElement(Card, { key: `welcome-prompt-${index}`, className: "pf-chatbot__prompt-suggestion", isClickable: true },
            React.createElement(CardHeader, { selectableActions: {
                    onClickAction: prompt.onClick,
                    selectableActionId: `welcome-prompt-input-${index}`,
                    selectableActionAriaLabelledby: `welcome-prompt-title-${index}`
                } },
                React.createElement(CardTitle, { id: `welcome-prompt-title-${index}` }, prompt.title)),
            prompt.message && React.createElement(CardBody, null, prompt.message))))))));
};
export default ChatbotWelcomePrompt;
